Bug 19905 - javax.naming.event.EventContext over system file system
javax.naming.event.EventContext over system file system
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Lookup
3.x
PC Linux
: P3 (vote)
: 3.x
Assigned To: Peter Zavadsky
issues@platform
:
Depends on:
Blocks: 17934 18177 19340 20838
  Show dependency treegraph
 
Reported: 2002-01-29 15:12 UTC by Jaroslav Tulach
Modified: 2009-10-23 22:51 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2002-01-29 15:12:13 UTC
In order to fully replace the FolderInstance we need more then just plain JNDI -
we need also its event mechanism to notify listener about changes in the
settings.

The JNDI implementation defined in issue 19903 and in issue 19904 should be
extended to implement the EventContext JNDI extension.
Comment 1 Peter Zavadsky 2002-10-09 12:41:31 UTC
Fixed in [trunk]

core/naming/../DOContext.java 1.10
              /DOEnum.java 1.5
              /EventDOContext.java 1.1
              /EventDOContextSupport.java 1.1
              /Jndi.java 1.7
              /Utils.java 1.1
core/naming/test/../JndiEventTest.java 1.1


Note:
There could happen some problems left. E.g. With removing of context
when the fileObject(folder) is removed, and there is no listeners. 

Please revise.
I expect some changes will be necessary.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo